﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

using RedCritterConnecter.Samples;

namespace SendNotificationSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        void SendNotification_onSendNotificationResponseError(SendNotificationResponse SendNotificationResponse)
        {
            lResult.Text = "SendNotification call failed";
        }

        void SendNotification_onSendNotificationResponse(SendNotificationResponse SendNotificationResponse)
        {
            lResult.Text = "SendNotification call was successfully submitted";
        }

        private void bSendNotification_Click(object sender, EventArgs e)
        {
            SendNotification SendNotification = new SendNotification();
            SendNotification.onSendNotificationResponse += SendNotification_onSendNotificationResponse;
            SendNotification.onSendNotificationResponseError += SendNotification_onSendNotificationResponseError;
            SendNotification.Execute(tSecretKey.Text, tExternalAccountID.Text, tProfileEntity.Text, tTitle.Text, tMessage.Text);
        }

    }
}
